Subject: Re: [PATCH v2] pager: remove 'S' from $LESS by default

From: Jonathan Nieder <[email-masked]>
Date: Mon, 5 May 2014 11:44:41 -0700

Hi,

Matthieu Moy wrote:

> By default, Git used to set $LESS to -FRSX if $LESS was not set by the
> user. The FRX flags actually make sense for Git (F and X because Git
> sometimes pipes short output to less, and R because Git pipes colored
> output). The S flag (chop long lines), on the other hand, is not related
> to Git and is a matter of user preference. Git should not decide for the
> user to change LESS's default.

Thanks!  Sounds like a very good change.

(Nit: instead of "because Git sometimes pipes short output to less",
it would be clearer to say something like "when Git pipes short output
to less it is nice to exit and let the user type their next command".)

[...]
> The documentation in config.txt is made a bit longer to keep both an
> example setting the 'S' flag (needed to recover the old behavior) and an
> example showing how to unset a flag set by Git.

Interesting.  Looks good.

For what it's worth,
Reviewed-by: Jonathan Nieder <[email-masked]>